SystemOrganization addCategory: #'External-Core'!

Object subclass: #ExternalCore
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'External-Core'!

!ExternalCore commentStamp: 'dkh 5/4/2012 13:53' prior: 0!
**ExternalCore** is the primary class in the [**External** project][1].

The class method *authorName* is dialect dependent and will likely require a different implementation when ported.

[1]: https://github.com/dalehenrich/external!

!ExternalCore class methodsFor: 'accessing' stamp: 'dkh 05/04/2012 13:55:03'!
authorName
    "this method is pharo-dependent"

    ^ Author fullName! !

!ExternalCore methodsFor: 'accessing' stamp: 'dkh 05/30/2014 12:41'!
authorName
  ""

  ^ self class metaClass authorName! !

!ExternalCore methodsFor: 'printing' stamp: 'dkh 05/30/2014 12:42'!
newMethod
! !

!ExternalCore methodsFor: 'printing' stamp: 'dkh 05/04/2012 13:55:03'!
printOn: aStream
    aStream nextPutAll: '123: ' , self authorName! !

!Object methodsFor: '*external-core' stamp: 'dkh 05/04/2012 13:55:03'!
isExternal
    ^ false! !
